<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.ListView?>
<?import javafx.scene.control.ScrollPane?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.image.Image?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.Pane?>

<Pane maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="400.0" prefWidth="600.0" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="sample.EditHallController">
   <children>
      <ImageView fitHeight="400.0" fitWidth="600.0" opacity="0.8" pickOnBounds="true" preserveRatio="true">
         <image>
            <Image url="@ikone/pozadina.jpg" />
         </image>
      </ImageView>
      <Label layoutX="80.0" layoutY="180.0" text="Unesite novi naziv sale:" />
      <TextField fx:id="noviNazivSale" layoutX="80.0" layoutY="200.0" />
      <Button layoutX="85.0" layoutY="250.0" mnemonicParsing="false" onAction="#IzmijeniButton" style="-fx-background-color: #B39374;" text="Izmijeni" textFill="WHITE" />
      <ScrollPane fx:id="HallScrollPane" layoutX="300.0" layoutY="100.0" onKeyTyped="#onKeyTyped" prefHeight="200.0" prefWidth="200.0">
        <content>
          <AnchorPane minHeight="0.0" minWidth="0.0" opacity="0.6" prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #D6BCA2;">
               <children>
                  <ListView fx:id="listaSala" layoutX="-1.0" onMouseClicked="#mouseClicked" prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #D6BCA2;" />
               </children></AnchorPane>
        </content>
      </ScrollPane>
      <Label layoutX="300.0" layoutY="80.0" text="Odaberi salu:" />
      <Label layoutX="80.0" layoutY="130.0" text="Naziv odabrane sale:" />
      <TextField fx:id="stariNazivSale" editable="false" layoutX="80.0" layoutY="150.0" />
      <Button layoutX="170.0" layoutY="250.0" mnemonicParsing="false" onAction="#nazad" prefHeight="26.0" prefWidth="68.0" style="-fx-background-color: #B39374;" text="Nazad" textFill="WHITE" />
   </children>
</Pane>
